
local width, height, x
local y = 60

local lose = {}

function lose.draw()
    state.game.draw()

    love.graphics.setColor(0, 0, 0, 0.7)
    love.graphics.rectangle("fill", x, y, width - x * 2, math.floor(height * 0.667), 10, 10)
    love.graphics.setColor(1, 1, 1)
    love.graphics.print("Oh nos!\nYou lost!", window.sysFont, x + 10, y + 10)
end

function lose.resize(w, h)
    width, height = w, h
    x = math.floor(width * 0.3)
end

function lose.mousereleased()
    state.current = state.game
end

function lose.keyreleased()
    state.current = state.game
end

return lose
