
--fixme: use window[] safe area

local width, height, winText
local fontName = "unispace.regular.ttf"
local border = 40 --fixme: make percent rather than static


local win = {}

function win.draw()
    state.game.draw()

    love.graphics.setColor(1, 1, 1, 0.3)
    love.graphics.rectangle("fill", border, border, width - border * 2, height - border * 2, 5)
    love.graphics.setColor(0, 0, 0)
    love.graphics.draw(winText, border * 5 - 2, border * 10 - 2, -0.8)
    love.graphics.setColor(1, 1, 1, 1)
    love.graphics.draw(winText, border * 5, border * 10, -0.8)

end

function win.resize(w, h)
    width, height = w, h
    local font = love.graphics.newFont(fontName, 80)
    winText = love.graphics.newText(font, "You Win!!")
    font:release()
end

function win.mousereleased()
    state.current = state.game
end

function win.keyreleased()
    state.current = state.game
end

return win
